> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-a804b3ad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織の詳細を取得

> 単一の組織の詳細を返します。詳細を取得するには、認証キーがその組織に属している必要があります。



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json get /v1/organizations/{organizationId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}:
    get:
      tags:
        - Organization
      summary: 組織の詳細を取得
      description: 単一の組織の詳細を返します。詳細を取得するには、認証キーがその組織に属している必要があります。
      parameters:
        - description: 要求された組織のID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意のID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Organization'
                  status:
                    description: HTTPステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功レスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: エラーの詳細説明。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーとみなされる何らかの理由により、サーバーはリクエストを処理できないか、処理しません。
components:
  schemas:
    Organization:
      properties:
        byocConfig:
          description: 組織の BYOC configuration
          items:
            $ref: '#/components/schemas/ByocConfig'
          type: array
        createdAt:
          description: 組織が作成された timestamp。ISO-8601。
          format: date-time
          type: string
        id:
          description: 一意の Organization ID。
          format: uuid
          type: string
        name:
          description: 組織名。
          type: string
        privateEndpoints:
          description: 組織のプライベート エンドポイント一覧
          items:
            $ref: '#/components/schemas/OrganizationPrivateEndpoint'
          type: array
    ByocConfig:
      properties:
        accountName:
          description: account 名
          type: string
        cloudProvider:
          description: そのリージョンのクラウドプロバイダー
          enum:
            - gcp
            - aws
            - azure
          type: string
        id:
          description: BYOC configuration の一意の識別子
          type: string
        regionId:
          description: BYOC が設定されており、service を作成可能なリージョン
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        state:
          description: インフラストラクチャの状態
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
          type: string
    OrganizationPrivateEndpoint:
      properties:
        cloudProvider:
          description: プライベート エンドポイントが存在するクラウドプロバイダー
          enum:
            - gcp
            - aws
            - azure
          type: string
        description:
          description: プライベート エンドポイントの説明
          type: string
        id:
          description: プライベート エンドポイント識別子
          type: string
        region:
          description: プライベート エンドポイントが存在するリージョン
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````